Name:		pyxattr
Summary:	Extended attributes library wrapper for Python
Version:	0.6.1
Release:	1
License:	LGPLv2+
URL:		http://pyxattr.k1024.org/
Source:		https://pyxattr.k1024.org/downloads/%{name}-%{version}.tar.gz

BuildRequires:	gcc libattr-devel python2-devel python2-setuptools python3-devel python3-setuptools

%description
This is the pyxattr module, a Python extension module which gives access to
the extended attributes for filesystem objects available in some operating systems.

%package -n python2-%{name}
Summary:	Extended attributes library wrapper for Python 2
%{?python_provide:%python_provide python2-%{name}}
Provides: pyxattr = %{version}-%{release}
Provides: pyxattr%{?_isa} = %{version}-%{release}
Obsoletes: pyxattr < %{version}-%{release}

%description -n python2-%{name}
This is the pyxattr module, a Python extension module which gives access to
the extended attributes for filesystem objects available in some operating systems.
for python2

%package -n python3-%{name}
Summary:	Extended attributes library wrapper for Python 3

%description -n python3-%{name}
This is the pyxattr module, a Python extension module which gives access to
the extended attributes for filesystem objects available in some operating systems.
for python3

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python2} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

pushd %{py3dir}
%{__python3} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
popd

%check
export TEST_IGNORE_XATTRS=security.selinux
%{__python2} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files -n python2-%{name}
%{python2_sitearch}/*.so
%{python2_sitearch}/pyxattr*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README.rst

%files -n python3-%{name}
%{python3_sitearch}/*.so
%{python3_sitearch}/pyxattr*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README.rst

%changelog
* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.1-1
- Package init
